Loading...
Searching...
No Matches
_snd_ump_msg_midi2_program Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint16_t | reserved:15
uint16_t | bank_valid:1
uint8_t | program
uint8_t | reserved2
uint8_t | bank_msb
uint8_t | bank_lsb

## Detailed Description

MIDI 2.0 Program Change (64bit)

## Field Documentation

## bank_lsb

uint8_t _snd_ump_msg_midi2_program::bank_lsb

LSB of bank (7bit)

## bank_msb

uint8_t _snd_ump_msg_midi2_program::bank_msb

MSB of bank (8bit)

## bank_valid

uint16_t _snd_ump_msg_midi2_program::bank_valid

Option flag: bank valid

## channel

uint8_t _snd_ump_msg_midi2_program::channel

Channel

## group

uint8_t _snd_ump_msg_midi2_program::group

UMP Group

## program

uint8_t _snd_ump_msg_midi2_program::program

Program number (7bit)

## reserved

uint16_t _snd_ump_msg_midi2_program::reserved

Unused

## reserved2

uint8_t _snd_ump_msg_midi2_program::reserved2

Unused

## status

uint8_t _snd_ump_msg_midi2_program::status

Status

## type

uint8_t _snd_ump_msg_midi2_program::type

UMP packet type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-5UW3AQ/alsa-lib-1.2.15.3/include/ump_msg.h